package com.icomsys.main_vm.db.mybatis.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface SynonymManageMapper {

	List<HashMap> selectSynonymList(HashMap eMap);

	int deleteSynonym(HashMap eMap);

	// dupCheck
	int dupIndivWord(HashMap eMap);

	int dupRepWord(HashMap eMap);

	int dupRepWordN(HashMap eMap);

	int dupSynonymY(HashMap eMap);

	int dupSynonymN(HashMap eMap);

	int insertSynonymMaster(HashMap eMap);

	void insertSynonymWord(HashMap eMap);

	void updateSynonymWord(HashMap eMap);

	// saveSynonymList
	int saveSynonymList(HashMap eMap);

	Integer selectSynonymMaster(HashMap eMap);

	void deleteSynonymWord(HashMap HashMap);

	int countSynonymWord(HashMap eMap);

}
